.TH wxScrolledWindow 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxScrolledWindow \- See external documentation: wxScrolledWindow\&.
.SH DESCRIPTION
.LP
See external documentation: wxScrolledWindow <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxPanel 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxScrolledWindow()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxScrolledWindow()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowwxscrolledwindow>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxScrolledWindow()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxScrolledWindow()
.br
.RS
.TP
Types
Option = {winid, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowwxscrolledwindow>\&.
.RE
.LP
.B
calcScrolledPosition(This::wxScrolledWindow(), Pt::{X::integer(), Y::integer()}) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowcalcscrolledposition>\&.
.RE
.LP
.B
calcScrolledPosition(This::wxScrolledWindow(), X::integer(), Y::integer()) -> {Xx::integer(), Yy::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowcalcscrolledposition>\&.
.RE
.LP
.B
calcUnscrolledPosition(This::wxScrolledWindow(), Pt::{X::integer(), Y::integer()}) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowcalcunscrolledposition>\&.
.RE
.LP
.B
calcUnscrolledPosition(This::wxScrolledWindow(), X::integer(), Y::integer()) -> {Xx::integer(), Yy::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowcalcunscrolledposition>\&.
.RE
.LP
.B
enableScrolling(This::wxScrolledWindow(), X_scrolling::bool(), Y_scrolling::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowenablescrolling>\&.
.RE
.LP
.B
getScrollPixelsPerUnit(This::wxScrolledWindow()) -> {PixelsPerUnitX::integer(), PixelsPerUnitY::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowgetscrollpixelsperunit>\&.
.RE
.LP
.B
getViewStart(This::wxScrolledWindow()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowgetviewstart>\&.
.RE
.LP
.B
doPrepareDC(This::wxScrolledWindow(), Dc::wxDC() (see module wxDC)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowdopreparedc>\&.
.RE
.LP
.B
prepareDC(This::wxScrolledWindow(), Dc::wxDC() (see module wxDC)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowpreparedc>\&.
.RE
.LP
.B
scroll(This::wxScrolledWindow(), X::integer(), Y::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowscroll>\&.
.RE
.LP
.B
setScrollbars(This::wxScrolledWindow(), PixelsPerUnitX::integer(), PixelsPerUnitY::integer(), NoUnitsX::integer(), NoUnitsY::integer()) -> ok
.br
.RS
.LP
Equivalent to setScrollbars(This, PixelsPerUnitX, PixelsPerUnitY, NoUnitsX, NoUnitsY, [])\&.
.RE
.LP
.B
setScrollbars(This::wxScrolledWindow(), PixelsPerUnitX::integer(), PixelsPerUnitY::integer(), NoUnitsX::integer(), NoUnitsY::integer(), Options::[Option]) -> ok
.br
.RS
.TP
Types
Option = {xPos, integer()} | {yPos, integer()} | {noRefresh, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowsetscrollbars>\&.
.RE
.LP
.B
setScrollRate(This::wxScrolledWindow(), Xstep::integer(), Ystep::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowsetscrollrate>\&.
.RE
.LP
.B
setTargetWindow(This::wxScrolledWindow(), Target::wxWindow() (see module wxWindow)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxscrolledwindow\&.html#wxscrolledwindowsettargetwindow>\&.
.RE
.LP
.B
destroy(This::wxScrolledWindow()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
